Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.request
Class FullTextSearchRequest

    java.lang.Object
      org.modeshape.graph.request.Request
          org.modeshape.graph.request.SearchRequest
              org.modeshape.graph.request.FullTextSearchRequest

All Implemented Interfaces:
  Serializable

    public class FullTextSearchRequest

extends SearchRequest

A `Request` to perform a full-text search on a graph.

See Also:
  Serialized Form

Constructor Summary
`FullTextSearchRequest(String fullTextSearch, String workspace, int maxResults, int offset)` Create a new request to execute the supplied query against the name workspace.

Method Summary
`boolean` | `equals(Object obj)`
`String` | `expression()` Get the full-text search expression that is to be executed.
`QueryResults.Columns` | `getResultColumns()` Get the specification of the columns for the `results`.
`RequestType` | `getType()` Returns the type of the request
`int` | `hashCode()`
`int` | `maxResults()` Get the maximum number of results that should be returned.
`int` | `offset()` Get the number of initial search results that should be excluded from the `tuples` included on this request.
`void` | `setResults(QueryResults.Columns resultColumns, List<Object[]> tuples, QueryResults.Statistics statistics)` Set the results for this request.
`String` | `toString()`
`String` | `workspace()` Get the name of the workspace in which the node exists.

Methods inherited from class org.modeshape.graph.request.SearchRequest
`cancel, columns, doSetResults, getStatistics, getTuples, isReadOnly`

Methods inherited from class org.modeshape.graph.request.Request
`checkNotFrozen, freeze, getError, hasError, isCancelled, isFrozen, printable, printable, setError, setLatchForFreezing`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FullTextSearchRequest

    public FullTextSearchRequest(String fullTextSearch,
                                 String workspace,
                                 int maxResults,
                                 int offset)

  Create a new request to execute the supplied query against the name workspace.

  Parameters:
    `fullTextSearch` - the full-text search to be performed; may not be null
    `workspace` - the name of the workspace to be queried
    `maxResults` - the maximum number of results that are to be returned; always positive
    `offset` - the number of initial results to skip, or 0 if the first results are to be returned
  Throws:
    `IllegalArgumentException` - if the query or workspace name is null, if the maxResults is not positive, or if the offset is negative

Method Detail

### expression

    public String expression()

  Get the full-text search expression that is to be executed.

  Returns:
    the full-text search expression; never null and never empty

### workspace

    public String workspace()

  Get the name of the workspace in which the node exists.

  Returns:
    the name of the workspace; never null

### maxResults

    public int maxResults()

  Get the maximum number of results that should be returned.

  Returns:
    the maximum number of results that are to be returned; always positive

### offset

    public int offset()

  Get the number of initial search results that should be excluded from the `tuples` included on this request.

  Returns:
    the number of initial results to skip, or 0 if the first results are to be returned

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### getResultColumns

    public QueryResults.Columns getResultColumns()

  Get the specification of the columns for the `results`.

  Returns:
    the column specifications; never null

### setResults

    public void setResults(QueryResults.Columns resultColumns,
                           List<Object[]> tuples,
                           QueryResults.Statistics statistics)

  Set the results for this request.

  Parameters:
    `resultColumns` - the definition of the result columns
    `tuples` - the result values
    `statistics` - the statistics, or null if there are none

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

### getType

    public RequestType getType()

  Description copied from class: `Request`
  Returns the type of the request

  Specified by:
    `getType` in class `Request`
  Returns:
    the type of the request

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.